#### Description:

This function stores new FITS headers in the supplied FitsTable. Any existing headers are first deleted.

#### Synopsis

void astPutTableHeader( AstFitsTable ∗this, AstFitsChan ∗header )

#### Parameters:

##### this

Pointer to the FitsTable.

##### header

Pointer to a FitsChan holding the headers for the FitsTable. A deep copy of the supplied FitsChan is stored in the FitsTable, replacing the current FitsChan in the Fitstable. Keywords that are fixed either by the properties of the Table, or by the FITS standard, are removed from the copy (see `"` Notes:`"` below).

#### Notes:

- The attributes of the supplied FitsChan, together with any source and sink functions associated with the FitsChan, are copied to the FitsTable.

- Values for the following keywords are generated automatically by the FitsTable (any values for these keywords in the supplied FitsChan will be ignored): `"` XTENSION`"` , `"` BITPIX`"` , `"` NAXIS`"` , `"` NAXIS1`"` , `"` NAXIS2`"` , `"` PCOUNT`"` , `"` GCOUNT`"` , `"` TFIELDS`"` , `"` TFORM%d`"` , `"` TTYPE%d`"` , `"` TNULL%d`"` , `"` THEAP`"` , `"` TDIM%d`"` .

Copyright (C) 2021 East Asian Observatory